/* ircdlog.c -- logging routines for faerion;
 * Copyright (C) 2001-2002 ForestNet IRC Network
 * This is a free software; see file `license' for details.
 * $Id: ircdlog.h,v 1.2 2002/08/14 21:40:25 hex Exp $
 */

#ifndef __ircdlog_h
#define __ircdlog_h

#ifdef NEED_syslog
# define LOG_EMERG	0	/* system is unusable */
# define LOG_ALERT	1	/* action must be taken immediately */
# define LOG_CRIT	2	/* critical conditions */
# define LOG_ERR	3	/* error conditions */
# define LOG_WARNING	4	/* warning conditions */
# define LOG_NOTICE	5	/* normal but significant condition */
# define LOG_INFO	6	/* informational */
# define LOG_DEBUG	7	/* debug-level messages */
extern void syslog(int, const char *, ...),
	vsyslog(int, const char *, va_list);
#else
# include <syslog.h>
#endif

extern int log_verbosity;
extern void putlog(int, const char *, ...);

#endif /* __ircdlog_h */
