/* m_admin.c -- send administrative information to client
 * Copyright (C) 2001-2002, ForestNet IRC Network
 * This is a free software; see file `license' for details.
 * $Id: m_admin.c,v 1.9 2002/11/18 12:44:07 hex Exp $
 */

#include <stdarg.h>

#include "struct.h"
#include "send.h"
#include "numeric.h"
#include "h.h"
#include "common.h"

/* parv[0] = sender prefix, parv[1] = servername */
int m_admin(aClient *cptr, aClient *sptr, int parc, char *parv[])
{
	aConfItem *aconf;

	if (check_registered_user(sptr))
		return 0;

	if (!BadPtr(server_mask) && parc > 1 && !IsPrivileged(sptr)) {
		sendto_one(sptr, err_str(ERR_NOPRIVILEGES), me.name, parv[0]);
		return 0;
	}

	/* Only allow remote ADMINs if registered -- Barubary */
	if (hunt_server(cptr, sptr, ":%s ADMIN :%s", 1, parc, parv) != HUNTED_ISME)
		return 0;

	if ((aconf = find_admin())) {
		sendto_one(sptr, rpl_str(RPL_ADMINME), me.name, parv[0],
			me.name);
		sendto_one(sptr, rpl_str(RPL_ADMINLOC1), me.name, parv[0],
			(aconf->host ? aconf->host : "-"));
		sendto_one(sptr, rpl_str(RPL_ADMINLOC2), me.name, parv[0],
			(aconf->passwd ? aconf->passwd : "-"));
		sendto_one(sptr, rpl_str(RPL_ADMINEMAIL), me.name, parv[0],
			(aconf->name ? aconf->name : "-"));
	}
	else sendto_one(sptr, err_str(ERR_NOADMININFO),
		me.name, parv[0], me.name);

	return 0;
}
