/* m_goper.c -- send a notice to all +go clients
 * Copyright (C) 2001-2002, ForestNet IRC Network
 * This is a free software; see file `license' for details.
 * $Id: m_goper.c,v 1.5 2002/11/18 12:44:08 hex Exp $
 */

#include "struct.h"
#include "send.h"
#include "numeric.h"
#include "h.h"
#include "channel.h"

/* (Russell) sort of like wallop, but only to ALL +o clients on every server. */
/* parv[0] = sender prefix, parv[1] = message text */
int m_goper(aClient *cptr, aClient *sptr, int parc, char *parv[])
{
	if (check_registered(sptr))
		return 0;

	if (parc < 2 || BadPtr(parv[1])) {
		send_syntax(sptr, "GOPER", "GOPER message...");
		return 0;
	}

	if (!IsServer(sptr) || !IsULine(cptr,sptr)) {
		sendto_one(sptr, err_str(ERR_NOPRIVILEGES), me.name, parv[0]);
		return 0;
	}

	sendto_serv_butone(IsServer(cptr) ? cptr : NULL, ":%s GOPER :%s",
		parv[0], parv[1]);
	sendto_opers("from %s: %s", parv[0], parv[1]);
	return 0;
}
