/* m_identify.c -- automatic identification to nick/channel service
 * Copyright (C) 2001-2002, ForestNet IRC Network
 * This is a free software; see file `license' for details.
 * $Id: m_identify.c,v 1.7 2002/11/18 12:44:08 hex Exp $
 */

#include "config.h"
#include "struct.h"
#include "send.h"
#include "ircd.h"

/* Automatic NickServ/ChanServ direction for the identify command -taz */
int m_identify(aClient *cptr, aClient *sptr, int parc, char *parv[])
{
	if (check_registered_user(sptr))
		return 0;

	if (parc < 2 || BadPtr(parv[1])) {
		sendto_one(sptr, err_str(ERR_NOTEXTTOSEND), me.name, parv[0]);
		return -1;
	}

	if ((*parv[1] == '#') && (strchr(parv[1], ' '))) {
		if (csptr)
			sendto_one(csptr, ":%s PRIVMSG %s@%s :IDENTIFY %s",
				parv[0], cs_nick, services_host, parv[1]);
		else
			sendto_one(sptr, err_str(ERR_SERVICESDOWN), me.name,
				parv[0], cs_nick);
	} else {
		if (nsptr)
			sendto_one(nsptr, ":%s PRIVMSG %s@%s :IDENTIFY %s",
				parv[0], ns_nick, services_host, parv[1]);
		else
			sendto_one(sptr, err_str(ERR_SERVICESDOWN), me.name,
				parv[0], ns_nick);
	}

	return 0;
}
