; $Id: makefile.nsi,v 1.5 2002/11/16 11:21:34 hex Exp $

!define VERSION 1.17.7

Name "Faerion IRC Daemon, version ${VERSION}"
ComponentText "This will set up Faerion IRC Daemon"
DirText "This will extract Faerion IRC Daemon files to a specified location."
OutFile faerion-${VERSION}.exe
InstallDir $PROGRAMFILES\ForestNet\Faerion
InstallDirRegKey HKCU "Software\ForestNet\Faerion" ""
ShowInstDetails show

InstType Standard

Section "Standard"
	SectionIn 1

	SetOutPath "$INSTDIR"
	SetOverwrite on
	File "..\src\faerion.exe"
	File "..\src\ircdpw\ircdpw.exe"
	SetOverwrite off
	File /oname=ircd.conf "..\doc\example.conf"

;	SetOutPath "$SYSDIR"
;	SetOverwrite off
;	File "c:\winxp\system32\zlib.dll"

	SetOutPath "$INSTDIR\charsets"
	SetOverwrite on
	File "..\doc\charsets\*"

	SetOutPath "$INSTDIR\doc"
	SetOverwrite on
	File "..\doc\features"
	File "..\doc\ircd.conf.html"
	File "..\license" "..\known_bugs" "..\changes" "..\todo"
	
	WriteUninstaller "uninstall.exe"
	WriteRegStr HKCU "Software\ForestNet\Faerion" "" "$INSTDIR"
	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Faerion" "DisplayName" "Faerion IRC Daemon"
	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Faerion" "UninstallString" '"$INSTDIR\uninstall.exe"'
SectionEnd


; uninstall
UninstallText "This will uninstall Faerion IRC Daemon.  Make sure that you have uninstalled the services first.  Hit next to continue."

Section "Uninstall"
	DeleteRegKey HKCU "Software\ForestNet\Faerion"
	RMDir /r $INSTDIR
SectionEnd

Function .onInstSuccess
	MessageBox MB_YESNO|MB_ICONQUESTION "Setup has completed.  Do you wish to read the documentation on configuring your server?" IDNO NoReadme
	ExecShell open "$INSTDIR\doc\ircd.conf.html"
	NoReadme:
FunctionEnd
